(* Обработка текста: удаление из текста комметариев типа {...}            *)
{--------------------------------------------------------------------------}
{ На входе - текст с комметариями, на выходе - текст без комментарив       }
{--------------------------------------------------------------------------}
var s,r:string;
    state,i:integer;
begin
     writeln('Введите любой текст с комментариями'); readln(s);
     r:=''; state:=0; {нормальное состояние}
     for i:=1 to length(s) do begin
        case s[i] of
           '{': if state=0 then state:=1;  {теперь мы внутри комментария}
           '}': if state=1 then state:=0   {теперь мы вышли из комментария}
                else r:=r+s[i];            {мы не в комментарии}
           else if state=0 then r:=r+s[i]; {мы не в комментарии}
        end;
     end;
     writeln('новый текст:'); writeln(r);
end.
